## starhash-enabler 0.1

=== debian/changelog ===
starhash-enabler (0.1) fremantle; urgency=low

  * Initial release.

 -- Joerg Reisenweber <joerg@openmoko.org>  Wed, 14 Jul 2010 13:15:27 +0300
