=== debian/control ===
Source: starhash-enabler
Section: user/system
Priority: extra
Maintainer: Joerg Reisenweber <joerg@openmoko.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: starhash-enabler
Architecture: armel
Description: Enables the *xx# Service Codes in dialer. According 3GPP TS22.030
 Finally turns your N900 into a full-featured phone capable to dial Service Codes like *67# call redirect on busy, etc.
 --
 Some useful codes:
 **61*<number>**<time-in-seconds,5,10,..,30># : set up redirect to <number> after <seconds> ringing
 #61# :deactivate; *61# :activate; *#61# :query status
 replace 61 by:  21:all calls; 62:if off or in a cave; 67:when busy (other call); 004: eq: 61+62+67; 002: eq 004+21
 Google for gsmcodes to find many more. Please note the Settings-Phone GUI won't know how to deal with network settings done via this method!
 --
 Credit goes to 
 Lassi Syrjälä  (Nokia) for https://bugs.maemo.org/show_bug.cgi?id=5357#c178
 MohammadAG for doing all the packaging setup and helping me a lot 
XB-Maemo-Display-Name: Starhash Enabler
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACMFJREFUeNrsW21sE/cZf87n
 l9iJSSCgrUDEtA+wD2OgRf3AuhYDBWlSte7LqnXSBNpWpr3C1k17Y4Nq3ech
 7XNHvpW26xZWqyne6JJCHdHNWiA0NOHNIcRO/H4+353vfc9zvqSGOC8GM/sW
 /tKjs507+36/5/e83V0Y0zRhNS8XrPL1iIBHBDwiYHUv92J/YBimJU7wpeHd
 W3BzFMAMAQM75/9gQhzPcgRfDaL1H981NLncd9WqeMxiZbDZBJyI7u7EzUm0
 Q5WT10EzlY+ly7iBZTzVh/TT/ie+MDTkeAKOv7/7CHGA1qWbKghqHspaacF+
 LJLgZQPgdwfB7fLNfUyKOPrSE0OXHEfAb8+HduBp9uHLnSYYwCtZkDR+Rcd6
 WT90eNaCx9VmvTdM/eTLT134sWMI+M350HHb61BWeeDVLIIw6v4eHyoi6O0G
 1mWFB+WI0O+eHORaloBj74UoyZHXQxTnnJwGWRcf6DsZLG6dvg3gc7fPk/Dy
 U4NcLaxNLYO/Hgw9i04eQQuVVQFSwhR6XwRy/IOYYRiQl2ZBVHh6vxOtv+4y
 +LDXr/4ZOo4OsSRPsS6qxXn/NWpx5QwIvAEdwfYQvn0MLdl0An55LkTlrZ+8
 jokKcuUZ0Ayl4b9j6Cbkbiog5adB5iCHH3U3nYBfnNuzw7SzvKYrCD55X4lu
 uSWj1zPXZCQBE2pBz1x+g4s0PQR+/o89u1HyGItMl4RZnpMzDZe8JftpFYoJ
 1XqdvCTFrob5GL6MohWaRsDPInsOoqP7rBPELC+ppZqSlfI66IoJDAvg72LB
 7XPVJXnyOnnfUE35o4FiZPZDGdtlIO+Pot2pWTEedhn86dk91NWdNJEBAl/W
 FpY4VTQgPS5bIKpX8BNu6OzxLvsbKHPI3VKs48W0lhg5XYgoJYPAD6DdQMs2
 pQ948Z29p6iXp/qeE2dArZHsxKwGhdsK4C4wMyrFcnElEVjHBjd+PtDr9buC
 ngAD67e1gYutfT7clAKlWc16Tcd/9HaRJE92Ho1IkJrSCb44UAGvGSoUpNSi
 4PNxxZLs7YvC8OT7wqjtraC33dX9mWfW7Fr7Kd82j38hCbpiQPa6DKpkkoL4
 q2Eukr+lxO1ZYKSW5P9nBPzk7Qp4FTN9VkwC9fX3LiGDnp9UQEfwY38thJGI
 cfz4DFqChiC0XrLtz3UdqJDggvVbfeByMyCh5PNx2VINJrw4Hj+oCMYE7n8O
 jb6Ha9o0eDS8z/a8jOBnapa5wqSM3tcr4Pvz4UJcidonP1ElWWpctqM989nn
 1h5Yu8W3ra2TRQLAOpbWdEyI3nyXv2Jn+Q/seFfqGYcbWgWOvLXvFP4Gel6G
 nLQ0eJL92Jl58AM2eL1q1+QcmCuv5+Hxwxu68bvXW3W+qGeuRbghPLY6yyfv
 a25olAJ+9Ld9d8t+CfAE4PrfEcDkouCrF3VwvZgTnt/0ePtWTTaVqeHShC31
 C2hjaKWVnONDC4EfnnnaBl+R/WLgpZwGZQR/+dVsWBWMWJXs9WV+YjPak2i7
 bFUQcVdsyesrPc+HQsAP+p8+SOOsBV5A2ddIeBx5HsGT50dPW+AjNojJOkRG
 OSFov87O1fZ6VsMJ+P5fKuAp1lOlqZoxz92ueN4C/9p9g2/IaigB33tz/w6q
 uTjRdZHna9X5j8FrmSuvNxd8Qwn47p/3d9pdVldGSIKilRfsU5xG2Wcq4D98
 o/ngG1oG8Xuo2+rKS9jbqwvBk9eFtAa6Zsq33uWGWgF8w8bh77y2/w9IwE5R
 KYEgCwvG2XJOtfpz7IDl6wP5MHdbeatVwddNwOHT+59F8EdVTYGckFnwd6Wk
 W4MNNTnXB3Lh4pQctWt1S4Kvi4AXXj3QiTFkZfyMkIJ7w4mGk0K8TLesID5Y
 iNjgB+xcAY4nAAH30dUcTuJA0/SF0i9gB6AxMHu5FM1NSIMr6PCcQ8A3Xtm7
 1zDhKzJme75crLmPrpuWKmZHSsNOAU9rJdecWNbN9pG0Ke4JZC2jBpC2PV/s
 TNiyb3nwKyLga38MHWYYVw8nVqRvGkxN8wTdFgHtj/m+vtRI6jQCvB6/55hu
 GFBE6WMYLGouHwvuAM7rHlfvjhc2Hfu/IODLv3/iecbt2igqIsa4sewtqWBP
 GzAuhpRw4nPf3nTQ6QSwvg7fIdNkoCjxQNvlDNFDcIuf+mh637f9W5uPOJmA
 brff1atqGvb6yqLJ715jMRTWIAnWKGHCye3f3HzKqQQEWZc7qOla3XdnLRI+
 HcC84CJSDm396ie/5MQ+wGvY0qZt3dfa3KwVEjSBlZJKD4VUK5bGpQgI3FXn
 61xSWgFV0EEuqInEhRz1Bv6VXrtrFQI0sVjmfR3eYL03cFVRBzGFQ5FmyJOR
 dBg/ogd9JKflAIlPiVkGletiPCuqAmSYMoCfkizVJIfzEU3SB1u5LV6KAB0J
 iJH329wBMKxHT5Y3IVFGzwMUbgix4i2RwNPV32SrJsGlCOAnhxMx8mTA07Gi
 EljOKnQJzIr7mWjurH0t4IZTyyCfGs+Oc8lSwsP6wMf6F50DyDTJAHGW4t6U
 k9EcXQKjJzbHWn0oWjIHUOzeGZkZJe8G27oW9TyChtKdStyn/1MYlHPK3O2q
 ErT4Wm4Yyo6FJ8JlXuG97jbwsm01ByEhWbae7OCnxFFuohRp9bivh4AUefLq
 O9eiNO+va18PjOm6S/p0EVThdar5mZkLmYgT4r4eAih+4zffi4dzk/k4tsbQ
 FVg3L32trIOUkrH0GXLyfIrAR5wQ9/VeEaInLT64+Eososm63O7tgIC33Yp7
 YVqyrgTlLhcGlYLqmLivlwBLBeWifPbin2JhVTHkde0bwK90WHFfuiOOFq/x
 lPGHnRL39RIwlwsupcfT0X+d+ndYLin8ms5OUDglkRpOk+fPOSnu7xra6rg3
 SNPcVjQabbdVff4mVO78tLz0H/TeoF7V09N2I1QeaBpxWtzfrwKql79qvpec
 Arau2+OrZT36x8lHBKzy9V8BBgC74lvkc7BjkgAAAABJRU5ErkJggg==
 ====
