## starhash-enabler 0.2

=== debian/changelog ===
starhash-enabler (0.2) fremantle; urgency=low

  * description cleanup, change pretty name to "*# Starhash Enabler".

 -- Joerg Reisenweber <joerg@openmoko.org>  Fri, 23 Jul 2010 19:44:51 +0200
