=== debian/control ===
--- 
+++ 
@@ -8,18 +8,27 @@
 Package: starhash-enabler
 Architecture: armel
 Description: Enables the *xx# Service Codes in dialer. According 3GPP TS22.030
- Finally turns your N900 into a full-featured phone capable to dial Service Codes like *67# call redirect on busy, etc.
- --
- Some useful codes:
- **61*<number>**<time-in-seconds,5,10,..,30># : set up redirect to <number> after <seconds> ringing
+  Finally turns your N900 into a full-featured phone capable to dial Service Codes like *67# call redirect on busy, etc.
+ .
+  Some useful codes:
+  **61*<number>**<time-in-seconds,5,10,..,30># : set up redirect to <number> after <seconds> ringing
  #61# :deactivate; *61# :activate; *#61# :query status
- replace 61 by:  21:all calls; 62:if off or in a cave; 67:when busy (other call); 004: eq: 61+62+67; 002: eq 004+21
- Google for gsmcodes to find many more. Please note the Settings-Phone GUI won't know how to deal with network settings done via this method!
- --
- Credit goes to 
- Lassi Syrjälä  (Nokia) for https://bugs.maemo.org/show_bug.cgi?id=5357#c178
- MohammadAG for doing all the packaging setup and helping me a lot 
-XB-Maemo-Display-Name: Starhash Enabler
+  replace 61 by:  
+     21:all calls; **21*<number>#; *21#; #21#; *#21# 
+     62:if off or in a cave; 
+     67:when busy (other call); 
+     004: eq: 61+62+67; 
+     002: eq 004+21
+ .
+  Google for gsmcodes to find many more. Please note the Settings-Phone GUI won't know how to deal with network settings done via this method!
+  Also note it's up to your provider to actually support or lock particular functions/codes. Frequently <number> has to be the number of your voicebox.
+ .
+  Credit goes to 
+  Lassi Syrjälä  (Nokia) for https://bugs.maemo.org/show_bug.cgi?id=5357#c178
+  MohammadAG for doing all the packaging setup and helping me a lot 
+ .
+  Now comes with approval by Nokia :-) https://bugs.maemo.org/show_bug.cgi?id=8830#c18
+XB-Maemo-Display-Name: *# Starhash Enabler
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACMFJREFUeNrsW21sE/cZf87n
@@ -74,3 +83,28 @@
  SNPcVjQabbdVff4mVO78tLz0H/TeoF7V09N2I1QeaBpxWtzfrwKql79qvpec
  Arau2+OrZT36x8lHBKzy9V8BBgC74lvkc7BjkgAAAABJRU5ErkJggg==
  ====
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=756257
+XB-Maemo-Upgrade-Description: Only packaging changes. Description now looks like:
+  Finally turns your N900 into a full-featured phone capable to dial Service Codes like *67# call redirect on busy, etc.
+ .
+  Some useful codes:
+  **61*<number>**<time-in-seconds,5,10,..,30># : set up redirect to <number> after <seconds> ringing
+ #61# :deactivate; *61# :activate; *#61# :query status
+  replace 61 by:  
+     21:all calls; **21*<number>#; *21#; #21#; *#21# 
+     62:if off or in a cave; 
+     67:when busy (other call); 
+     004: eq: 61+62+67; 
+     002: eq 004+21
+ .
+  Google for gsmcodes to find many more. Please note the Settings-Phone GUI won't know how to deal with network settings done via this method!
+  Also note it's up to your provider to actually support or lock particular functions/codes. Frequently <number> has to be the number of your voicebox.
+ .
+  Credit goes to 
+  Lassi Syrjälä  (Nokia) for https://bugs.maemo.org/show_bug.cgi?id=5357#c178
+  MohammadAG for doing all the packaging setup and helping me a lot 
+ .
+  Now comes with approval by Nokia :-) https://bugs.maemo.org/show_bug.cgi?id=8830#c18
+ .
+ .
+ pretty name changed to "*# Starhash Enabler", so maybe your list sorting in HAM changes
